PTHREAD_CONDATTR(3)

NAME
pthread_condattr_init, pthread_condattr_destroy - condition attribute operations

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
int
pthread_condattr_init(pthread_condattr_t *attr);
int
pthread_condattr_destroy(pthread_condattr_t *attr);

DESCRIPTION
Condition attribute objects are used to specify parameters to pthread_cond_init(). FreeBSD's implementation of conditions does not support any non-default attributes, so these functions are not very useful, though they are required to to be present by POSIX.

The pthread_condattr_init() function initializes a condition attribute object with the default attributes.

The pthread_condattr_destroy() function destroys a condition attribute object.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
pthread_condattr_init() will fail if:

[ENOMEM]
    Out of memory.

pthread_condattr_destroy() will fail if:

[EINVAL]
    Invalid value for attr.

SEE ALSO
pthread_cond_init(3)

STANDARDS
pthread_condattr_init() and pthread_condattr_destroy() conform to iso9945-1